package com.realnet.order_estimation.Services;
import com.realnet.order_estimation.Repository.Generate_quoteRepository;
import com.realnet.order_estimation.Entity.Generate_quote
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;








	import org.springframework.stereotype.Service;

@Service
 public class Generate_quoteService {
@Autowired
private Generate_quoteRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;







public Generate_quote Savedata(Generate_quote data) {








	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Generate_quote save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Generate_quote> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Generate_quote> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Generate_quote> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Generate_quote getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Generate_quote update(Generate_quote data,Integer id) {
	Generate_quote old = Repository.findById(id).get();
old.setGenrate_quote(data.getGenrate_quote());

old.setPackage_300k(data.getPackage_300k());

old.setPackage_400k(data.getPackage_400k());

old.setPackage_500k(data.getPackage_500k());

final Generate_quote test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 








 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
